<%-- 
    Document   : zobrazOsobu
    Created on : 10.3.2008, 0:58:07
    Author     : Radek Muzika
--%>

<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<%@ page import="org.springframework.context.ApplicationContext, org.springframework.web.context.support.WebApplicationContextUtils" %>
<%@ page import="java.util.*" %>

<%@ taglib prefix="c" 
           uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<% 
    /** Toto jsp pouze demonstruje jak vypsat seznam udalosti, aktivit 
        a garantovanych temat dane osoby.
        Pro detailni popis scriptletu koukni do udalosti.jsp.*/
    ApplicationContext ctx = WebApplicationContextUtils.getWebApplicationContext(config.getServletContext());
    int id = Integer.parseInt((String)request.getParameter("osobaId"));
    cz.zcu.kiv.db.dao.OsobaDao oDao = (cz.zcu.kiv.db.dao.OsobaDao) ctx.getBean("osobaDao");
    cz.zcu.kiv.db.model.osoby.Osoba osoba = oDao.getOsoba(id);
    pageContext.setAttribute("osoba", osoba);
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <h1>Osoba:</h1>
        <c:out value="${osoba.id}" /> <br/>
        <c:out value="${osoba.jmeno}" /> <c:out value="${osoba.prijmeni}" /> <br/>
        <h2>Udalosti</h2>
        <c:forEach items="${osoba.udalosti}" var="udalost">
            <b><c:out value="${udalost.nazevCz}" /></b> - <c:out value="${udalost.popisCz}" /><br/>
        </c:forEach>
        <h2>Garantem temat</h2>
        <c:forEach items="${osoba.garantovanaTemata}" var="tema">
            <b><c:out value="${tema.nazevCz}" /></b> - <c:out value="${tema.popisCz}" /><br/>
        </c:forEach>
        <h2>Aktivity</h2>
        <c:forEach items="${osoba.aktivity}" var="aktivita">
            <c:out value="${aktivita.nazevCz}" /><br/>
        </c:forEach>
        <br/><br/>
        <a href='udalosti.jsp'>seznam udalosti</a>
    </body>
</html>

